Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2949553002: Wire up experiment for improved screenshare bwe. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by sprang_webrtc
Modified:
1 month, 2 weeks ago
Reviewers:
philipel, stefan-webrtc
CC:
webrtc-reviews_webrtc.org, video-team_agora.io, yujie_mao (webrtc), zhuangzesen_agora.io, zhengzhonghou_agora.io, stefan-webrtc, tterriberry_mozilla.com, mflodman
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Wire up experiment for improved screenshare bwe. Also adds some full stack test variants with the experiment enabled. BUG=webrtc:7694 Review-Url: https://codereview.webrtc.org/2949553002 Cr-Commit-Position: refs/heads/master@{#18869} Committed: https://chromium.googlesource.com/external/webrtc/+/89c4a7e57d524b13fbe0c823a83a4c10c2e63bd0

Patch Set 1 #

Total comments: 6

Patch Set 2 : Rebase #

Patch Set 3 : gn #

Patch Set 4 : sscanf format string, again #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+229 lines, -27 lines) Patch
M webrtc/modules/pacing/alr_detector.h View 3 chunks +22 lines, -1 line 0 comments Download
M webrtc/modules/pacing/alr_detector.cc View 1 2 3 3 chunks +54 lines, -12 lines 0 comments Download
M webrtc/modules/pacing/paced_sender.h View 2 chunks +6 lines, -0 lines 0 comments Download
M webrtc/modules/pacing/paced_sender.cc View 5 chunks +17 lines, -4 lines 0 comments Download
M webrtc/video/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/video/full_stack_tests.cc View 3 chunks +98 lines, -1 line 3 comments Download
M webrtc/video/screenshare_loopback.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/video/video_loopback.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/video/video_send_stream.cc View 9 chunks +29 lines, -9 lines 0 comments Download
Trybot results:  android_arm64_rel   ios64_sim_ios9_dbg   linux_more_configs   ios_arm64_rel   android_compile_x86_dbg   ios_arm64_dbg   ios_rel   android_compile_mips_dbg   linux32_arm_rel   android_dbg   linux_arm64_dbg   ios_dbg   android_compile_x64_dbg   linux_msan   android_compile_x86_rel   linux32_arm_dbg   android_clang_dbg   linux_rel   win_clang_rel   win_baremetal   linux_compile_dbg   win_x64_rel   mac_asan   linux_asan   linux_ubsan_vptr   linux_gcc_rel   ios64_sim_ios10_dbg   win_x64_dbg   mac_rel   win_x64_clang_dbg   win_rel   linux_tsan2   linux_ubsan   linux_memcheck   mac_baremetal   win_dbg   android_more_configs   linux_arm64_rel   ios_api_framework   linux_baremetal   mac_compile_dbg   win_x64_clang_rel   android_rel   ios32_sim_ios9_dbg   win_clang_dbg   linux_libfuzzer_rel   presubmit   ios_rel   android_arm64_rel   ios64_sim_ios9_dbg   ios_arm64_rel   linux_more_configs   android_compile_x86_dbg   ios_rel   ios_arm64_dbg   android_compile_mips_dbg   linux32_arm_rel   android_dbg   presubmit   linux_arm64_dbg   ios_dbg   android_compile_x64_dbg   linux_msan   android_compile_x86_rel   linux32_arm_dbg   linux_rel   android_clang_dbg   linux_compile_dbg   win_clang_rel   win_x64_rel   mac_asan   win_baremetal   linux_ubsan_vptr   linux_asan   ios64_sim_ios10_dbg   win_x64_dbg   linux_gcc_rel   win_x64_clang_dbg   mac_rel   linux_ubsan   linux_memcheck   win_rel   linux_tsan2   mac_baremetal   win_dbg   ios_api_framework   linux_arm64_rel   android_more_configs   linux_baremetal   win_x64_clang_rel   win_clang_dbg   mac_compile_dbg   ios32_sim_ios9_dbg   android_rel   linux_libfuzzer_rel 
Commit queue not available (can’t edit this change).

Messages

Total messages: 34 (21 generated)
philipel
https://codereview.webrtc.org/2949553002/diff/1/webrtc/video/full_stack_tests.cc File webrtc/video/full_stack_tests.cc (left): https://codereview.webrtc.org/2949553002/diff/1/webrtc/video/full_stack_tests.cc#oldcode313 webrtc/video/full_stack_tests.cc:313: test::ScopedFieldTrials field_trial("WebRTC-SimulcastScreenshare/Enabled/"); Do we just hijack some old experiment ...
1 month, 4 weeks ago (2017-06-20 09:47:18 UTC) #3
sprang_webrtc
https://codereview.webrtc.org/2949553002/diff/1/webrtc/video/full_stack_tests.cc File webrtc/video/full_stack_tests.cc (left): https://codereview.webrtc.org/2949553002/diff/1/webrtc/video/full_stack_tests.cc#oldcode313 webrtc/video/full_stack_tests.cc:313: test::ScopedFieldTrials field_trial("WebRTC-SimulcastScreenshare/Enabled/"); On 2017/06/20 09:47:18, philipel wrote: > Do ...
1 month, 4 weeks ago (2017-06-20 10:48:59 UTC) #4
philipel
https://codereview.webrtc.org/2949553002/diff/1/webrtc/video/full_stack_tests.cc File webrtc/video/full_stack_tests.cc (left): https://codereview.webrtc.org/2949553002/diff/1/webrtc/video/full_stack_tests.cc#oldcode313 webrtc/video/full_stack_tests.cc:313: test::ScopedFieldTrials field_trial("WebRTC-SimulcastScreenshare/Enabled/"); On 2017/06/20 10:48:58, sprang_webrtc wrote: > On ...
1 month, 4 weeks ago (2017-06-20 12:14:31 UTC) #5
philipel
after some offline discussion, lgtm
1 month, 2 weeks ago (2017-06-29 11:09:38 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2949553002/20001
1 month, 2 weeks ago (2017-06-29 14:58:07 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: ios64_sim_ios10_dbg on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/ios64_sim_ios10_dbg/builds/5523) ios_arm64_dbg on master.tryserver.webrtc (JOB_FAILED, ...
1 month, 2 weeks ago (2017-06-29 14:59:58 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2949553002/40001
1 month, 2 weeks ago (2017-06-29 15:06:08 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: mac_baremetal on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/mac_baremetal/builds/22734)
1 month, 2 weeks ago (2017-06-29 15:12:19 UTC) #20
stefan-webrtc
https://codereview.webrtc.org/2949553002/diff/60001/webrtc/video/full_stack_tests.cc File webrtc/video/full_stack_tests.cc (right): https://codereview.webrtc.org/2949553002/diff/60001/webrtc/video/full_stack_tests.cc#newcode34 webrtc/video/full_stack_tests.cc:34: "/1.1-2875-80-90/"; You have a double-/ here: std::string(AlrDetector::kScreenshareProbingBweExperimentName) + "/1.1-2875-80-90/" ...
1 month, 2 weeks ago (2017-06-29 17:43:47 UTC) #26
sprang_webrtc
https://codereview.webrtc.org/2949553002/diff/60001/webrtc/video/full_stack_tests.cc File webrtc/video/full_stack_tests.cc (right): https://codereview.webrtc.org/2949553002/diff/60001/webrtc/video/full_stack_tests.cc#newcode34 webrtc/video/full_stack_tests.cc:34: "/1.1-2875-80-90/"; On 2017/06/29 17:43:47, stefan-webrtc wrote: > You have ...
1 month, 2 weeks ago (2017-06-29 19:14:06 UTC) #27
stefan-webrtc
lgtm https://codereview.webrtc.org/2949553002/diff/60001/webrtc/video/full_stack_tests.cc File webrtc/video/full_stack_tests.cc (right): https://codereview.webrtc.org/2949553002/diff/60001/webrtc/video/full_stack_tests.cc#newcode34 webrtc/video/full_stack_tests.cc:34: "/1.1-2875-80-90/"; On 2017/06/29 19:14:06, sprang_webrtc wrote: > On ...
1 month, 2 weeks ago (2017-06-29 20:07:20 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2949553002/60001
1 month, 2 weeks ago (2017-06-30 19:14:37 UTC) #31
commit-bot: I haz the power
1 month, 2 weeks ago (2017-06-30 20:27:49 UTC) #34
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/external/webrtc/+/89c4a7e57d524b13fbe0c823a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b